ru.bitel.bgbilling.kernel.event

## Class MessageAdapter

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.MessageAdapter

- Direct Known Subclasses:
    Consumer, Producer

      public class MessageAdapter
      extends java.lang.Object

  Сериализует/десериализует объект-событие в/из сообщения.
  Author:
    amir

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `deliveryMode`
    `protected int` | `priority`
    `protected javax.jms.Session` | `session`
    `protected long` | `timeToLive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageAdapter(javax.jms.Session session, java.lang.Class<? extends Event> clazz)`
    `MessageAdapter(javax.jms.Session session, int deliveryMode, int priority, long timeToLive, java.lang.Class<?>... classes)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected final javax.jms.Session session

    - #### deliveryMode

          protected final int deliveryMode

    - #### priority

          protected final int priority

    - #### timeToLive

          protected final long timeToLive

  - ### Constructor Detail

    - #### MessageAdapter

          public MessageAdapter(javax.jms.Session session,
                                java.lang.Class<? extends Event> clazz)
                         throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`

    - #### MessageAdapter

          public MessageAdapter(javax.jms.Session session,
                                int deliveryMode,
                                int priority,
                                long timeToLive,
                                java.lang.Class<?>... classes)
                         throws javax.xml.bind.JAXBException

      Throws:
        `javax.xml.bind.JAXBException`